@echo off

rem 3DS VRML Plug-In Installation batch file

rem Check for sufficient environment variable space
echo Checking for sufficient DOS environment space
echo ---
set tstvar33=xxxxxxxxx1xxxxxxxxx2xxxxxxxxx3xxxxxxxxx4xxxxxxxxx5xxxxxxxxx6
if %tstvar33%.==. goto noenv
set tstvar33=

:chksrc
rem Check the 3DS VRML Plug-In program and support files location
echo Checking for the 3DS VRML Plug-In and support files
echo ---
set sinstdir=.
if exist %sinstdir%\install.bat goto chkarg
goto noinst

:chkarg
rem Checking for destination directory argument
set instdir=%1
if not %instdir%.==. goto chkdest
if exist c:\3ds4\nul goto setdef
goto noarg

:setdef
echo Defaulting to C:\3DS4 as the 3DS R4 installation directory
echo ---
set instdir=c:\3ds4
goto chkdest

:chkdest
rem Check for installation directories.

echo Checking for 3D Studio directory
echo ---
if not exist %instdir%\nul goto nodir

echo Checking for 3D Studio subdirectories
echo ---
set webdir1=process
if not exist %instdir%\%webdir1%\nul goto nodir

rem Begin copying files.
echo Copying 3DS VRML Plug-In files
echo ---
set webname=VRML_I.PXP
set webpath=PROCESS
copy %sinstdir%\%webname% %instdir%\%webpath%\%webname% >nul:
if not exist %instdir%\%webpath%\%webname% goto nocopy
set webname=VRML.HLP
set webpath=PROCESS
copy %sinstdir%\%webname% %instdir%\%webpath%\%webname% >nul:
if not exist %instdir%\%webpath%\%webname% goto nocopy
set webname=VRML.LIC
set webpath=PROCESS
copy %sinstdir%\%webname% %instdir%\%webpath%\%webname% >nul:
if not exist %instdir%\%webpath%\%webname% goto nocopy
set webname=VRMLPLG.TXT
set webpath=PROCESS
copy %sinstdir%\%webname% %instdir%\%webpath%\%webname% >nul:
if not exist %instdir%\%webpath%\%webname% goto nocopy


echo INSTALLATION SUCCESSFUL!
goto :end
:noarg
echo INSTALL FAILED - There is no installation directory specified.
echo ---
goto instruct
:nodir
echo INSTALL FAILED - The %instdir%\%webdir1% directory is missing.   Please 
echo verify that %instdir% is a valid 3D Studio directory.
echo ---
goto instruct
:noinst
echo INSTALL FAILED - The installation files could not be found.  Your current
echo drive and directory should be where INSTALL.BAT is located.
goto end
:instruct
echo The installation directory is specified as a command line argument
echo in the form of:
echo    install [directory name]
echo where [directory name] is the name of the 3D Studio root directory. For
echo example, if 3D Studio Release 4 was installed on drive C in the default
echo directory \3DS4, the command would look like this:
echo    install C:\3DS4
goto end
:nocopy
echo INSTALL FAILED - The install routine couldn't copy the file %webname% 
echo to %instdir%. Please verify that %instdir% is a valid 3D Studio directory.
goto end
:noenv
echo INSTALL FAILED - The install routine had insufficient environment variable
echo space.  To work around this problem, try starting the install routine with
echo the following:
echo    command /e:4096 /c install.bat %instdir%
goto :end
:end
set webdir1=
set webname=
set instdir=
set sinstdir=
